Skip to main content
Resource Center/Resource Pool/VM Instance Operations

GetVirtualizerInfo

GetVirtualizerInfo

GET/zstack/v1/vm-instances/virtualizer-info

Operation ID

GetVirtualizerInfo

Since

4.6.21

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • uuids
    ListRequired

    The host or the VM instance UUID.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the action is successful or not.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventories
    ListRequired

    See inventories.

    • uuid
      StringRequired

      The resource UUID.

    • resourceType
      StringRequired

      The resource type.

    • error
      ListRequired

      Query errors. The value may be null.

      • code
        StringRequired

        The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

      • description
        StringRequired

        The brief description of the error.

      • details
        StringRequired

        The details about the error.

      • elaboration
        StringRequired

        The reserved field. Default value: null.

      • opaque
        LinkedHashMapRequired

        The reserved field. Default value: null.

      • cause
        ErrorCodeRequired

        The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

    • infoList
      ListRequired

      See infoList.

      • hypervisor
        StringRequired

        The hypervisor. Generally, the value is qemu-kvm

      • currentVersion
        StringRequired

        The version of the hypervisor used by the VM instance or the host.

      • expectVersion
        StringRequired

        The expected hypervisor version. We recommend that you keep the hypervisor version of a VM instance consistent with that of the host it is running on and the hypervisor version of a host consistent with the MN recommended version.

      • matchState
        StringRequired

        Whether the current hypervisor version is consistent with the expected version. If the system cannot get the current version or the expected version, the value is Unknown here.